%global momorel 7

Name:           perl-XML-TreePP
Version:        0.39
Release:        %{momorel}m%{?dist}
Summary:        Pure Perl implementation for parsing/writing xml files
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/XML-TreePP/
Source0:	http://www.cpan.org/authors/id/K/KA/KAWASAKI/XML-TreePP-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
Requires:	perl-HTTP-Lite
Requires:	perl-libwww-perl
Requires:	perl-LWP-UserAgent-WithCache
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?include_specopt}
%{?!do_more_tests: %global do_more_tests 1}

%description
XML::TreePP module parses XML file and expands it for a hash tree. And also
    generate XML file from a hash tree. This is a pure Perl implementation.
    You can also download XML from remote web server like XMLHttpRequest
    object at JavaScript language.

%prep
%setup -q -n XML-TreePP-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_more_tests}
export MORE_TESTS=1
%endif
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes make-dist.sh README
%{perl_vendorlib}/XML/TreePP*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.39-7m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.39-6m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.39-5m)
- rebuild against perl-5.12.0

* Wed Jan 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.39-4m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.39-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.39-2m)
- rebuild against perl-5.10.1

* Tue Jul 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.39-1m)
- update to 0.39

* Tue Jun  2 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.38-2m)
- remove duplicate directories

* Wed Mar  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.38-1m)
- update to 0.38

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.37-2m)
- rebuild against rpm-4.6

* Sun Jan 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.37-1m)
- update to 0.37

* Tue Oct 28 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.36-1m)
- update to 0.36

* Sat Jun 14 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.33-3m)
- add "do_more_tests" flag to skip some testsuits

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.33-2m)
- rebuild against gcc43

* Sat Jan  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.33-1m)
- update to 0.33

* Mon Dec  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.32-1m)
- update to 0.32

* Sat Sep 22 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.31-1m)
- update to 0.31

* Mon Aug 27 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.29-1m)
- update to 0.29

* Thu Aug 23 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.27-2m)
- delete duplicate files or directories

* Thu Aug 23 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.27-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
